%define rdate 20050628
Summary:	DRBL scripts
Name:		drbl
Version:	1.3.11
Release:	19
License:	GPL
Group:		Development/DRBL
Source0:	drbl-%{rdate}.tgz
URL:		http://drbl.nchc.org.tw/
ExclusiveArch:	%{ix86}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	perl 
Obsoletes:	drbl-gdm, drbl-script, drbl-setup, rh-netinstall, mdk-netinstall, memtest86

%description
DRBL (Diskless Remote boot in Linux) scripts.
Description :
Scripts for DRBL server, and some tool programs to maintain the DRBL environment.
This drbl package runs ok in RedHat 8.0/9, Fedora Core 1/2/3, Mandrake 9.2/10.0/10.1, CentOS 4.
For more details, check 
1. http://drbl.sf.net (English)
2. http://drbl.nchc.org.tw (Chinese Big5 - Taiwan) 

About DRBL GDM greeter background photo:
Guido took the background from Gnome Korea and FreeIcons from kde-look.
Author=Added some words by Steven Shiau - steven _at_ nchc org tw , originally by Guido Sanchez - zeek@argentina.com. The photo of bird is provided by S. H. Huang.

%prep
%setup -q -n drbl-%{rdate}

%build
make 

%install
[ -d "$RPM_BUILD_ROOT" ] && rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /etc/X11/gdm/gdm.conf ]; then
  perl -p -i -e "s/^GraphicalTheme=.*/GraphicalTheme=drbl-gdm/" /etc/X11/gdm/gdm.conf
fi

%preun 
if [ -f /etc/X11/gdm/gdm.conf ]; then
  # Circles is the standard shipped theme, it works for RH/FC/MDK
  perl -p -i -e "s/^GraphicalTheme=.*/GraphicalTheme=circles/" /etc/X11/gdm/gdm.conf
fi

%files
%defattr(-,root,root)
/opt/drbl/setup/*
/opt/drbl/conf/*
/opt/drbl/lang/*
/opt/drbl/doc/*
/opt/drbl/sbin/*
/opt/drbl/bin/*
/etc/sysconfig/drbl/*
%{_datadir}/gdm/themes/drbl-gdm/*

%changelog
* Tue Jun 28 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-19
- update the GDM theme with org.tw, and use new logo.

* Sun Jun 26 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-18
- remove some useless codes in drblsrv.
- fix the bug for RH9, the tcp over NFS is not supported in the running kernel 2.4.20-8, so we have to use drbl-nfs-conf to switch it.

* Fri Jun 24 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-17
- exit 1 should be after $SETCOLOR_NORMAL in mknbi-nic
- update some usage message in mknbi-nic

* Thu Jun 23 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-16
- bug fixed in check_drbl_setup_space, should exclude something like /mnt/tftpboot.

* Tue Jun 21 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-15
- bug fixed in mkswapfile, should use variable instead of /tmp/hda1.

* Tue Jun 21 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-14
- use "drbl-terminal" instead of "drbl-thin-client" in pxelinux config and dcs.

* Tue Jun 21 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-13
- append vt7 in X -query so that the keyboard will work in terminal mode with FC3/4

* Tue Jun 21 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-12
- update the MENU local with "Local operation system (if available), this is easier to see, and more appropriate. Not always HD, maybe it's floppy or cdrom.

* Tue Jun 21 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-11
- use variables $powerful_client_menu_label and $thin_client_menu_label in sbin/generate-pxe-menu.

* Tue Jun 21 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-10
- update the message for Mandriva 2005/MDK 10.2 kernel-i586-up-1GB.

* Mon Jun 20 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-9
- replace description "thin-client" with "terminal mode", this is more appropriate.

* Mon Jun 20 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-8
- replace OS_Version name "MDK10.2" with "MDV2005"
- now use urpmi for all MDK version, including MDK 9.2/10.0/10.1 and MDV2005.

* Sun Jun 19 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-7
- forgot to add add OS_version in remote-linux of dcs, added that.

* Fri Jun 16 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-6
- fix the halt bug in FC4.
- add OS_version so that dcs will show OS_Version in pxelinux's default.
- check yum repository before using it.
- add batch mode for drbl4imp.

* Thu Jun 16 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-5
- add -t -a -n -m -x -c -g -k options for drblsrv so we can run it in batch mode.
- add -p in drblpush so that we can assign the default client no in each NIC port.
* Thu Jun 16 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-4
- a bug is fixed: unable to filter i586 or i686 kernel rpm.

* Thu Jun 16 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-3
- put distribution code name in pxelinux menu (generate-pxe-menu).
- query dev, MAKEDEV and kernel rpm before downloading it.

* Tue Jun 14 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-2
- fix some bugs in rc.sysinit.drbl, drblsrv (i386 glibc/openssl).

* Tue Jun 14 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.11-1
- initial release for FC4.

* Fri Jun 11 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-36
- fix a bug for no menus in MDK 10.2 clients, now add /var/lib/menu /var/lib/menu-xdg for MDK 10.2

* Fri Jun 10 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-35
- Bug fixed, there is no i386 arch form MDK.

* Fri Jun 10 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-34
- Skip extra driver question, since it's been a long time we did not create those driver.
- Fix the bug to refer DRBL server's kernel arch.

* Fri Jun 10 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-33
- Process the special case! Makdrake 10.1/10.2 uses kernel-i586-up-1GB for 586 CPU, The kernel rpm kernel-2.6.11.6mdk-1-1mdk.i586.rpm is only working with i686 CPU. Since Mandrake does NOT want to fix the bug... We have to take care by ourselves! Put UGLY code for Mandrake 10.1/10.2.

* Thu Jun 09 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-32
- add reiserfs in RH/FC append so that reiserfs will be enabled when installing.

* Thu Jun 09 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-31
- drop woody, now only sarge netinstall.

* Thu Jun 09 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-30
- add extra append options in generate-pxe-menu for Debian Sarge netinstall

* Tue Jun 07 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-29
-  add warning if i386 glibc or openssl rpm is not installed

* Tue Jun 07 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-28
- make glibc and openssl upgrade as default so that the consistency will be better.

* Mon Jun 06 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-27
- add selinux=0 in the template of generate-pxe-menu

* Wed Jun 01 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-26
- add a function to check DRBL client's kernel arch.
- fix a bug. In mknic-nbi, it should check client's kernel arch, not server's.

* Wed Jun 01 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-25
- make dcs without -f for drbl-ocs, now -f is the default option for drbl-ocs.

* Tue May 31 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-24
- convert the uppercase kernel tag to lowercase tag, like X86_64 -> x86_64 in check_kernel_cpu_arch.

* Tue May 31 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-23
- move smp question easier.

* Tue May 31 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-22
- replace "drbl" for "drbl-setup" in the language files. 

* Tue May 31 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-21
- update the echo message in mknic-nbi

* Tue May 31 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-20
- fix the bug for turn off all PXELinux menus, otherwise client will have problem: boot: EL entries found in configuration file!
- fix the bug for mknic-nbi, now it will update kernel first and check if arch matches.

* Mon May 09 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-19
- update doc/Known_issues.txt

* Mon May 09 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-18
- fix the bug, forget setting client's nsswitch.conf nis auth for MDK.

* Sun May 08 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-17
- initial release for MDK 10.2 

* Fri May 06 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-16
- Circles is the standard shipped theme, it works for RH/FC/MDK. Use it when uninstalling.

* Tue May 03 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-15
- update some lang files for clonezilla clients+time-to-wait mode.

* Tue May 03 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-14
- update some lang files for clonezilla clients+time-to-wait mode.

* Tue May 03 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-13
- fix the bug when running drblsrv 2nd time, unable to check if the kernel arch fits client's requirement.

* Tue May 03 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-12
- fixed a bug when long device name (LVM) check_drbl_setup_space will fail.

* Mon May 02 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-11
- add version table for MDK 10.1 community 

* Sun May 01 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-10
- update some descriptions for drblsrv.
- put a solution for sis900 NIC in doc/Known_issues.txt.

* Sat Apr 30 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-9
- fix a bug: lvm2-stop.sh mode is wrong.

* Fri Apr 29 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-8
- add script lvm2-stop.sh in /opt/drbl/sbin

* Sun Apr 24 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-7
- fix the bug for unable to get right kernel when run "mknic-nbi -a"

* Sun Apr 24 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-6
- update Makefile and some doc files.

* Sat Apr 23 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-5
- update AUTHORS/ChangeLog.txt

* Sat Apr 23 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-4
- recontruct the file archi in /opt/drbl, add dir /opt/drbl/doc.
- use Makefile for the drbl tarball.

* Sat Apr 23 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-3
- put drbl-setup in the Obsoletes in drbl.spec.

* Sat Apr 23 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-2
- fix the bugs for forgeting to rename drbl-script and drbl-gdm in drblsrv and drblpush. 

* Sat Apr 23 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.10-1
- drbl-setup is merged with drbl-script, drbl-gdm, then rename it as package name "drbl"

* Thu Apr 21 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-26
- update some descriptions for drblsrv.

* Thu Apr 21 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-25
- fix the bug for unable to download updated kernel in CentOS4.

* Thu Apr 21 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-24
- update some descriptions for drblpush.

* Thu Apr 21 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-23
- fix the bug when client's IP last set digits > 100, the hostnames are blank.

* Wed Apr 20 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-22
- force select_repository="yes" in MDK 10.1

* Tue Apr 19 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-21
- make select yum repository as an option for some distribution
- fix the bug of drbl-client-root-passwd in x86_64
- set client hostname rule as "hostname_prefix[NO]", no more hostname_prefix-[NO] i.e. remove "-". If user want that, he can enter that like "fc3-"

* Tue Apr 19 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-20
- remove drbl-extra, it's not easy to maintain in so many distributions.

* Tue Apr 19 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-19
- fix a bug which not putting yum-repos to /opt/drbl/setup.

* Tue Apr 19 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-18
- use drbl-*-mirror-lists in ayo server when run drblsrv -i -s. So now user does not have to write drbl related yum repository.

* Mon Apr 18 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-17
- update drblpush with some descriptions.

* Sun Apr 17 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-16
- update some descriptions for drblsrv.

* Fri Apr 15 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-15
- update some descriptions for ocs.

* Fri Apr 15 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-14
- Add some descriptions for ocs.

* Thu Apr 14 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-13
- Update the description for optimization CPU kernel of client.

* Wed Apr 13 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-12
- Make x86_64 machine search the right url.

* Tue Apr 12 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-11
- change nbi description in lang/bash.
- fix the bug for unable to hide fdos initially.

* Mon Apr 11 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-10
- update some description.

* Mon Apr 11 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-9
- update language files

* Sun Apr 10 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-8
- move language files to /opt/drbl/conf

* Tue Apr 7 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-7
- update the boot hints in drblpush.

* Tue Apr 7 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-6
- update the boot hints in drblpush.

* Tue Apr 7 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-5
- update some echo.

* Tue Apr 7 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-4
- add code to change PXE menu label when mode drbl is switch to clonezilla.

* Mon Apr 6 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-3
- remove the code for generate fdos.nbi since etherboot 5.4.0 is released. No more *.nbi.

* Mon Apr 6 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-2
- bug fixed for wrong url path.

* Mon Apr 6 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.9-1
- make drblsrv and work without setting up yum/apt/urpmi repository
- add CentOS4 support.
- update rc.sysinit.FC3.drbl and rc.sysinit.default-RH.drbl since rc.sysinit in FC3 is updated.
- drop etherboot config in dhcpd.conf, since etherboot 5.4.0 is released, it can almost fit PXE server except localboot. Now client machine must use etherboot 5.4.0 or newer.

* Thu Mar 31 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.8-5
- remove the stale file /etc/init.d/ocs when uninstallation.

* Thu Mar 31 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.8-4
- update some descriptions
- do not install perl-IO-LockedFile, we do not need this with new clonezilla.

* Wed Mar 30 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.8-3
- change $ocsroot/ocsmgrd.lock to $ocsroot/clonezilla.lock

* Mon Mar 28 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.8-2
- Rename some functions name in drbl-function.

* Sun Mar 27 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.8-1
- Use the simple menu format for pxelinux

* Fri Mar 25 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-19
- fix the bug for not including drblthincli mkswapfile in client services

* Thu Mar 24 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-18
- precisely list the class B private IP address 
- fix the bug for unable to copy the mac address file to working directory.

* Thu Mar 24 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-17
- change the description when generating PXE config file.

* Tue Mar 22 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-16
- move the checking of drbl-script and others packages to the beginning of drblpush.
- remove ntp when uninstalling.

* Mon Mar 21 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-15
- rename some config files when uninstalling.

* Mon Mar 21 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-14
- bug fixed, the MAC address file with full path specified by user now works.

* Fri Mar 18 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-13
- bug fixed for netinstall in MDK.
- add code to clean urpmi and yum setting.

* Fri Mar 18 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-12
- make netinstall image installation more flexable.

* Wed Mar 16 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-11
- use generate-pxe-menu to create the PXE menu instead of coding in drblsrv

* Tue Mar 15 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-10
- Add more specific warning messages when tcp wrapper is set in server.

* Tue Mar 15 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-9
- remove the /etc/reconfigSys in client's common root

* Tue Mar 15 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-8
- Support Class A/B/C private IP of DRBL clients.
- Add drbl-yp-securenets to gentrate the /var/yp/securenet.
- Use /opt/drbl/bin/get_ip instead of writing ugly code in perl.
- Keep drbl-setup when running drblsrv -i.
- Fixed bug when libapt-pkg0 is installed while trying to install it.

* Mon Mar 14 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-7
- use urpmi --auto instead of urpmi --force (MDK bugzilla #14583)

* Mon Mar 14 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-6
- add drbl-extra option for yum repository.

* Sun Mar 13 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-5
- use update_client_kernel_from_server.sh in drblsrv and mknbi-nic

* Sun Mar 13 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-4
- Add a tag of client kernel arch in /tftpboot/nbi_img
- Before rsync kernel module (/lib/modules -> /tftpboot/node_root), check if the arch matches.

* Sat Mar 12 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-3
- Make drblpush more generic, not depends on OS_Version.
- Rewrite the code to run authconfig in /tftpboot/node_root

* Thu Mar 10 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-2
- Add check and install udev if necessary.
- The services for cleint to run will be checked before them are put into client's /etc/init.d
- Add an option to use existing yum core/updates config instead of overwritting it.

* Wed Mar 9 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.7-1
- Add x86_64 support for FC3.

* Tue Mar 8 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-36
- Add removing dhcp-server, yptools...  when uninstalling drbl in MDK.

* Tue Mar 8 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-35
- For MDK 10.1, use urpmi as the default installer.

* Mon Mar 7 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-34
- set yum as the default installer for FC3.

* Mon Mar 7 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-33
- fix the bug for unable to separate the drbl-testing and drbl-unstable yum repository.

* Sun Mar 6 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-32
- Separate the OS and DRBL repository choices for RH/FC/MDK.
- Bugs fixed.

* Wed Mar 2 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-31
- Let wget/glibc/openssl/kernel installation works without apt.
- add code to download dev and MAKEDEV rpm without apt-get.

* Fri Feb 25 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-30
- put client_kernel_install_option in drbl.conf so that it's easier to set it without touching drblsrv.

* Thu Feb 24 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-29
- separate the repository url to url_drbl and url_os.
- now we can find and install the latest kernel without apt.

* Wed Feb 23 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-28
- bug fixed, when kernel is not available in RPMS.os/RPMS.core, program won't stop, it will try to find it in RPMS.updates.

* Wed Feb 23 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-27
- add code to install client's kernel by rpm only, no apt-get or yum.

* Tue Feb 22 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-26
- merge drblsrv-rh and drblsrv-mdk to drblsrv, we do not separate them.

* Mon Feb 21 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-25
- rewrite drblsrv-rh using shell scripts only.

* Fri Feb 18 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-24
- Do NOT set the locale by "export LC_ALL=C" in drbl-functions. It will make dialog distortation.

* Fri Feb 18 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-23
- correct tyops.
- remove "-w, --website     Browse the NCHC DRBL website" in drblsrv-rh.
- reformat the Usage both in drblsrv-rh and drblsrv-mdk.

* Thu Feb 17 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-22
- For MDK, the arch is only i586, so add default setting apt_archi_set="i586" in drblsrv-mdk.sh.

* Thu Feb 17 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-21
- The kernel arch in the server should meet the client's requirement.

* Wed Feb 16 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-20
- if the latest kernel exists in the server, just copy it to common root, if else, apt-get install it.
- clean $ocsroot/ocsmgrd.lock when uninstalling.

* Wed Feb 16 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-19
- add /tftpboot/node_root/media and tmpfs mount in client's /etc/fstab, we need this for automount USB disk.

* Tue Feb 15 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-18
- add services - haldaemon messagebus for FC3... we need that for usb automount.

* Tue Feb 15 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-17
- move stop_ocs_if_necessry to drbl-client-switch from drbl-functions.

* Mon Feb 14 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-16
- fixed the bug - the HOST_OPT1 "$HOST_OPT2" does NOT work when drbl-client-switch run without "-h $IP_LIST"

* Mon Feb 14 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-15
- the hostname of client will use "-" instead of "_", which follows the rule when installing Fedora Core.
- update some functions in drbl-functions to make "drbl-client-switch --list-host" work.

* Sun Feb 6 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-14
- update drbl.conf.

* Sun Feb 6 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-13
- reduce one tab before the prompt "DRBL for Mandrake" in rc.sysinit.

* Sun Feb 6 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-12
- initial release for Mandrake Linux 10.1.

* Thu Feb 2 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-11
- the hostname of client will use "_" instead of "-"
- add code to delete the empty line and those comment line of MAC address file.
- add ddrescue isntallation.

* Fri Jan 28 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-10
- bug fixed.

* Fri Jan 28 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-9
- if unstable is chosen, we must set drbl_test_answer to yes.

* Thu Jan 27 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-8
- fix the bug when entered MAC file is not name as macadr-eth* 

* Thu Jan 27 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-7
- minor bugs fixed.
- add netgroup generation so that it's easier to add some export directory

* Sat Jan 22 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-6
- add a function to check the input MAC file.

* Fri Jan 21 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-5
- fix the bug for not allowing dot as domainname.

* Wed Jan 19 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-4
- fix the bugs for "ldd /sbin/depmod" and "ldd /sbin/chkconfig" in MDK 10.0

* Wed Jan 19 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-3
- add checking if initial digits in hostname prefix.
- follow Fedora Project Developer's Guide, turn off the standard output when installing drbl-setup.

* Tue Jan 18 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-2
- add drbl.sf.net + freshrpms.net (RH/Fedora) and drbl.sf.net + distro.ibiblio.org (MDK) as one of the sources when setup DRBL env.

* Mon Jan 17 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.6-1
- use the apt comes with MDK, no more made by DRBL.
- the freshrpms apt_dir is different to that of DRBL, use different name.
- turn off cups service in drbl clients.

* Thu Jan 13 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-26
- bug fixed, put cups in all versions if cups is on in the server.

* Thu Jan 13 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-25
- add /etc/sysconfig/drbl/client-extra-service so that use can specify services for clients before running drblpush -i.
- move purging client question to the end of prompt in drblpush.
- bug fixed, IIim in FC2, iiim in FC3, different names

* Thu Jan 13 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-24
- If cups and iiim is on in server, they will be on in the clients.
- fix the bug for searching latest kernel in Mandrake.

* Wed Jan 12 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-23
- add the new method to search latest_drbl_kernel_in_rep, now it will find the really latest kernel. 
- disable reconfiging ntp, user accounts... for clients... in /usr/sbin/firstboot in the firstboot service, we should not do it again in clients.

* Mon Jan 10 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-22
- add hints for yes/no options in the beginning.

* Sun Jan 09 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-21
- add some more notes.
- fix the bug of failing to show message $msg_install_kernel_might_take_several_minutes

* Fri Jan 07 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-20
- update some prompt in lang/bash

* Thu Jan 06 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-19
- force to remove /etc/sysconfig/firstboot in the common root initially.

* Thu Jan 06 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-18
- add drbl-extra as an option.
- remove xorg.conf in clients initially.

* Tue Jan 04 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-17
- add switch_all_clients_init in drbl-functions.

* Mon Jan 03 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-16
- Do not copy /dev/console, null, tty[0-5] from server to clients, now we use "mount -t tmpfs none /dev" in the beginning of initrd, so we will use mknode to create console, null, tty[0-5] runtime
- Add installing dos2unix in drblsrv-rh and drblsrv-mdk.

* Sun Jan 02 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-15
- fix the typo for if block.

* Sun Jan 02 2005 Steven Shiau <steven _at_ nchc org tw> 1.3.5-14
- add udev support.
- works for FC3.

* Mon Dec 27 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-13
- change the sources.list to new dir arch for MDK in drbl-setup

* Mon Dec 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-12
- fix wget check bug
- comment the rpm-src, if user need that, just edit sources.list by himself.

* Mon Dec 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-11
- fix the config loading bug in drblsrv-mdk.
- filter the kernel with test lable (in contrib), we do not want that kernel for clients.

* Mon Dec 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-10
- forget to change the file names, like init.RHFC1.drbl -> init.FC1.drbl

* Mon Dec 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-9
- fix the version name bug for drblsrv

* Mon Dec 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-8
- Add installing parted in drblsrv-mdk.sh
- new code to install wget, chaget the RH*_wget_rpm to wget_rpm_RH8_0, wget_rpm_RH9

* Fri Dec 10 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-7
- Bug fixed, we should check the server's kernel config file for CONFIG_NFSD_TCP, not the one for clients.

* Fri Dec 10 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-6
- Copy the macadr-eth*.txt to temp working directory before changing dir.
- Check the kernel config file so we can know if server supports NFS over TCP or not. If not, just use NFS over UDP... So for Redhat 9, it will automatically got it's udp, not tcp...
- Add drbl-unstable option

* Sun Dec 5 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-5
- Add l10n for drbl-powerful-thin-switch.

* Sat Dec 4 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-4
- Fix the bug for not writting timeout in pexlinux.cfg/default.
- Some minor bugs fixed.

* Sat Dec 4 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-3
- Move the drbl-powerful-thin-switch to the last part of drblpush.
- Just ask user to restart/logout kdm/gdm to make the xdmcp config active.
- No more maintain firefly rpms, so skip that in drblsrv.

* Tue Nov 30 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-2
- Add thin client mode prompt in drblpush and option in drbl-client-system-select.

* Tue Nov 30 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.5-1
- Add thin client mode.

* Wed Nov 24 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.4-2
- Fix the bug for checking return code in space check.

* Tue Nov 23 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.4-1
- Add parameters common_root_dir and buffer_ratio_for_client_space in drbl.conf
- Add checking the harddisk space is enough or not

* Mon Nov 22 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.3-7
- The pre-saved collected MAC files now can dance with "drblpush -c /etc/sysconfig/drbl/drblpush.conf"

* Mon Nov 22 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.3-6
- Make it quiet when removing DRBL old setting files.

* Mon Nov 22 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.3-5
- fix the bug for unable to clean /tftpboot/* when uninstalling.

* Mon Nov 22 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.3-4
- check if the network card for DRBL environment uses dhcp or static IP, if dhcp, program stop!

* Mon Nov 22 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.3-3
- fix the bug for public IP.
- the drblpush.conf and public_ip_list will be copied to /etc/sysconfig/drbl, not /etc/drbl.

* Fri Nov 19 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.3-2
- unlink the drbl_range temp file when drbl.pl finishes.
- rename the config.interactive to be $DRBLPUSH_CONF="drblpush.conf";
- no more use the current working directory as the working directory. Use temp working directory in drblpush, so the temp created files will be cleaned clearly.
- copy the drblpush.conf to /etc/drbl, so we can re-run drblpush like "drblpush -c /etc/drbl/drblpush.conf"
- exclude the "." in hostname prefix

* Thu Nov 18 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.3-1
- move more setting from drbl-scripts to drbl-ocs. 
- add  a file: drbl-conf-functions

* Thu Nov 11 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.2-3
- add diskless.nchc.org.tw as one of the repository.

* Fri Nov 6 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.2-2drbl
- no more drbl kernel search, use regular kernel from distributions.

* Fri Nov 6 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.2-1drbl
- move stop_ocs_if_necessar() from drbl-ocs to drbl-functions.
- add active_proc_partitions().

* Wed Nov 3 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.1-3drbl
- add active_proc_partitions in drbl-functions so that SCSI devices can be found in drbl-ocs.

* Tue Nov 2 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.1-2drbl
- change the function name set_clients_rc1_passwd in drbl-functions

* Tue Nov 2 2004 Steven Shiau <steven _at_ nchc org tw> 1.3.1-1drbl
- write and move more functions from drbl-ocs to drbl-functions.

* Fri Oct 30 2004 Steven Shiau <steven _at_ nchc org tw> 1.3-1drbl
- Rewrite the program, add /opt/drbl/conf/drbl.conf, /opt/drbl/sbin/drbl-functions and /opt/drbl/sbin/drbl-perl-functions

* Sun Oct 17 2004 Steven Shiau <steven _at_ nchc org tw> 1.2-10drbl
- Use "rsync -a -u" to update files for clients, so now it's not necessary to reboot clients when run "drblpush -i" and select keep the setting. The sshd and other auth mechanism still work without rebooting.

* Sat Oct 11 2004 Steven Shiau <steven _at_ nchc org tw> 1.2-9drbl
- add LC_ALL=C to ` ` in drblpush, thanks to Abdellah Soubaa from France for providing the envorinment to test.

* Sat Oct 9 2004 Steven Shiau <steven _at_ nchc org tw> 1.2-8drbl
- add LC_ALL=C to drblpush system().

* Fri Sep 24 2004 Steven Shiau <steven _at_ nchc org tw> 1.2-7drbl
- fix the bug for SMP.

* Thu Sep 9 2004 Steven Shiau <steven _at_ nchc org tw> 1.2-6drbl
- more clear prompt sentence.

* Thu Sep 9 2004 Steven Shiau <steven _at_ nchc org tw> 1.2-5drbl
- more clear prompt sentence.

* Wed Sep 8 2004 Steven Shiau <steven _at_ nchc org tw> 1.2-4drbl
- write more clear sentence about the dhcp server will provide the same IP address...

* Mon Sep 6 2004 Steven Shiau <steven _at_ nchc org tw> 1.2-3drbl
- fix the bug for unable to get username in drblpush in Mandrake.

* Sat Aug 21 2004 Steven Shiau <steven _at_ nchc org tw> 1.2-2drbl
- when uninstall in mandrake, do not using apt-get remove to remove the kernel in server! Now the kernel is installed directly in /tftpboot/node_root.

* Sat Aug 21 2004 Steven Shiau <steven _at_ nchc org tw> 1.2-1drbl
- drbl kernel is installed into /tftpboot/node_root directly, so now server
and clients can use same version kernel but different archi.
- add ntpd in DRBL server, and client will sync with DRBL server and pool.ntp.org
- fix some bugs.

* Fri Aug 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.1-7drbl
- fix the bug when uninstalling drbl, the language parameter was empty.

* Sun Aug 01 2004 Steven Shiau <steven _at_ nchc org tw> 1.1-6drbl
- add more descriptions when asking collecting MAC address.
- update the MDK 10.0 official version tag.

* Sat Jul 24 2004 Steven Shiau <steven _at_ nchc org tw> 1.1-5drbl
- add -l|--language option for drblsrv and drblpush so that the language will be consistent with drbl4imp.
- add woody-netinstall in PXE menu.

* Fri Jul 23 2004 Steven Shiau <steven _at_ nchc org tw> 1.1-4drbl
- Add pause in drbl4imp when user chooses to go.
- Make client's hostname shorter.

* Thu Jul 22 2004 Steven Shiau <steven _at_ nchc org tw> 1.1-3drbl
- Add drbl4imp (drbl 4 impatient) to let those impatient to setup DRBL server with default values.

* Tue Jul 20 2004 Steven Shiau <steven _at_ nchc org tw> 1.1-2drbl
- Add codes to exclude /etc,/var,/dev in /etc/init,d/halt of clients.

* Tue Jul 20 2004 Steven Shiau <steven _at_ nchc org tw> 1.1-1drbl
- Add codes for Fedora Core 2, now drbl-setup runs ok in FC2.

* Mon Jul 19 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-40drbl
- Fix the typo in client's rc.local, it's detect_cdrom, not detect-cdrom.

* Mon Jul 19 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-39drbl
- Add drblsrv wrapper script to take care drblsrv-rh and drblsrv-mdk.

* Mon Jul 19 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-38drbl
- Add notes after installing drbl-setup.

* Mon Jul 19 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-37drbl
- Make menu for PXE clients more precise.

* Sat Jul 17 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-36drbl
- Fix the bug for PXE menu, option 1 should be Linux, while "enter" key is system assigned by DRBL server.

* Sat Jul 17 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-35drbl
- Add question for setting boot prompt for PXE client or not.

* Fri Jul 16 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-34drbl
- Freedos use new name fdos1440.img instead of boot1440.img, use this new name.

* Fri Jul 16 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-33drbl
- Fix the exportfs bug by remove creating, exporting and mounting directories /home/partimag and /tftpboot/node_root/home/partimag for clonezilla in script drblpush

* Fri Jul 16 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-32drbl
- Add creating, exporting and mounting directories /home/partimag and /tftpboot/node_root/home/partimag for clonezilla in script drblpush
- Add detect cdrom in rc.local for Mandrake, since harddrake does create /dev/cdrom when client boot.
- Use the same timesync file for client and server.
- Client now has 4 options of system when using PXE to boot, i.e. system assigned by server, system in local harddrive, memtest, freedos.

* Sun Jun 27 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-31drbl
- Let Chinese characters shown when asking language. It's easier to choose the right one with readable characters.

* Sun Jun 20 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-30drbl
- fix the bug for hostname like fc1-1-00, which should be fc1-1-001. We need to get the ip_start from range.
- change the NTP server to be stdtime.sinica.edu.tw.

* Mon Jun 14 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-29drbl
- add the default value prompt of language option in drblsrv-rh, drblsrv-mdk, drblpush.

* Tue Jun 08 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-28drbl
- change the order of NFS mount parameters, fix it as r[ow],...,tcp,nolock or r[ow,...tcp,defaults so that it's easier to change the parameters by script.

* Tue Jun 08 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-27drbl
- Use the tcp options for client to mount the NFS directory, this will be betterwhen there is packet loss in LAN, maybe due to the collision in one single switch for 40 clients.
- clean the kernel.sys of freeDOS when program finishs.

* Tue Jun 01 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-26drbl
- add /var/spool/mail for client to use, now user in clent can access his/her email by using mutt.

* Thu May 28 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-25drbl
- touch the drbl client template: /tftpboot/node_root/etc/modules.conf

* Thu May 28 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-24drbl
- fix the bug, we need to add yppasswdd ypxfrd to chkconfig --add for server. 

* Thu May 21 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-23drbl
- no more the fuzzy description of the last set of digits in the IP address....

* Thu May 21 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-22drbl
- user can specify the apt repository by himself in MDK (drblsrv-mdk).

* Tue May 11 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-21drbl
- force to upgrade gpm when user has FC1, this will avoid the bug of dialog, so clonezilla will work well.

* Tue May 04 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-20drbl
- add check if DRBL kernel is available, if not found, program stop.

- fix the bug when checking alias public IP address, 0 and 255 can not only be the first and last digit, it's only for IP checking, not netmask.
* Mon May 03 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-19drbl
- fix the bug when checking alias public IP address, 0 and 255 can not only be the first and last digit, it's only for IP checking, not netmask.

* Sun May 02 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-18drbl
- fix the bug when checking alias public IP address, 0 and 255 can not only be the first and last digit.

* Tue Apr 21 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-17drbl
- recompiled.

* Tue Apr 18 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-16drbl
- it's cdialog and reiserfsprogs in MDK, not dialog and resierfs-utils

* Tue Apr 18 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-15drbl
- add code to detect if apt is compatable with DRBL in drblsrv-mdk

* Tue Apr 17 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-14drbl
- add -o RPM::Hold::="apt" when use apt-get upgrade in drblsrv-mdk.sh

* Tue Apr 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-13drbl
- fix the bug with no initial value for exist_size_in_MB in mkswapfile.

* Tue Apr 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-12drbl
- if ethernet port is not available for DRBL environment, program stop.

* Tue Apr 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-11drbl
- add option to remove kernel.*drbl when uninstalling drbl in mdk.

* Tue Apr 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-10drbl
- force to run mknic-nbi with smp option if user specifies smp kernel.
- rewrite kernel searching method for mandrake, now DRBL for Mandrake only uses kernel with tag "drbl"

* Tue Apr 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-9drbl
- when uninstall, ask if want to remove drbl-setup or not.

* Tue Apr 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-8drbl
- when uninstall, remove drbl-setup.

* Tue Apr 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-7drbl
- when user uses local HD as /tmp, rc.sysinit will not mkdir /boot/tmp.

* Tue Apr 13 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-6drbl
- add bc package in drblsrv-mdk.sh and drblsrv.sh.

* Fri Apr 09 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-5drbl
- let mkpxeinitrd-net take care of the copy and link for vmlinuz-pxe and initrd-net, not in drblsrv-rh or drblsrv-mdk.

* Mon Apr 05 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-4drbl
- add codes to compute the sizes of swap partition and swap file together, so that it meets the /etc/sysconfig/mkswapfile in clients.

* Sun Apr 04 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-3drbl
- Fix bug for drblsrv-mdk, we need to add $drbl_setup_path for dev path.

* Sun Apr 02 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-2drbl
- Fix typos in lang/perl/tw.Big5, and add more directories in /var/lib for clients.

* Sat Apr 01 2004 Steven Shiau <steven _at_ nchc org tw> 1.0-1drbl
- Write drbl setup scripts as rpm package, first release.
